/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_COMPROPER                                                */
/* Tabela : COMPROPER                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 16/05/2007 - Marcelo Alexsandro Souza Silva                                */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_COMPROPER'  and
            type = 'TR'                    and
            u.uid = o.uid                  and
            u.name = USER)
   DROP TRIGGER DTULTATU_COMPROPER
GO

CREATE TRIGGER DTULTATU_COMPROPER
ON COMPROPER
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'COMPROPER', null,
                       'CDOPERADOR='+ CDOPERADOR+ ';'+'CDCOMPRADOR='+ CDCOMPRADOR+ ';',
                        GETDATE()
                FROM DELETED)
   END
   ELSE BEGIN
      UPDATE COMPROPER
      SET DTULTATUCMPOPER = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(COMPROPER.CDOPERADOR,0)      = ISNULL(INSERTED.CDOPERADOR,0))    AND
            (ISNULL(COMPROPER.CDCOMPRADOR,0)     = ISNULL(INSERTED.CDCOMPRADOR,0))   AND
            (ISNULL(COMPROPER.IDCOTCMPOPER,0)    = ISNULL(INSERTED.IDCOTCMPOPER,0))  AND
            (ISNULL(COMPROPER.IDAPURCMPOPER,0)   = ISNULL(INSERTED.IDAPURCMPOPER,0)) AND
            (ISNULL(COMPROPER.IDAFCMPOPER,0)     = ISNULL(INSERTED.IDAFCMPOPER,0))   AND
            (ISNULL(COMPROPER.IDEXSENHCMPOPER,0) = ISNULL(INSERTED.IDEXSENHCMPOPER,0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_COMPROPER','4.11.194';
GO
