<?php
namespace Teknisa\Model\Gestaopessoas\Repositories;


class GpePessoa extends \Doctrine\ORM\EntityRepository {

    public function retornaPessoaAtual($nrOrg, $nrPessoa, $mesCompetencia){
	
        $gpe_pessoa =  'Teknisa\Model\Gestaopessoas\Entities\GpePessoa';
        $gpe_pessoah =  'Teknisa\Model\Gestaopessoas\Entities\GpePessoah';

$sql = <<<SQL
    SELECT pm, ph
    FROM $gpe_pessoa pm 
    INNER JOIN
    $gpe_pessoah ph WITH 
    ph.dtmescompetenc = (
			SELECT MAX(phh.dtmescompetenc)
  			FROM $gpe_pessoah phh
  			WHERE phh.dtmescompetenc <= :p_dtmescompetenc
  			AND ph.nrorg = phh.nrorg
  			AND ph.nrpessoa = phh.nrpessoa
  			)
		AND ph.nrorg = pm.nrorg
		AND ph.nrpessoa = pm.nrpessoa    
    WHERE 
    pm.nrorg = :p_nrorg
    and pm.nrpessoa = :nrpessoa
    
SQL;
            $params = array(
                'p_dtmescompetenc' => $mesCompetencia,
                'p_nrorg' => $nrOrg,
                'nrpessoa' => $nrPessoa
            );
            
            $resultQuery = $this->getEntityManager()->createQuery($sql)->execute($params);
            
            
            $resultado = array();
            foreach ($resultQuery as $key => $pessoa) {
                if($pessoa instanceof $gpe_pessoa){
                    $pessoa->historico = $resultQuery[$key+1];
                    $resultado[] = $pessoa;
                }    
            }
            return $resultado[0];
    }
    
    public function retornaPessoaPorParceiro($nrOrg, $nrParcNegocio, $mesCompetencia){
	
        $gpe_pessoa =  'Teknisa\Model\Gestaopessoas\Entities\GpePessoa';
        $gpe_pessoah =  'Teknisa\Model\Gestaopessoas\Entities\GpePessoah';

$sql = <<<SQL
    SELECT pm, ph
    FROM $gpe_pessoa pm 
    INNER JOIN
    $gpe_pessoah ph WITH 
    ph.dtmescompetenc = (
			SELECT MAX(phh.dtmescompetenc)
  			FROM $gpe_pessoah phh
  			WHERE phh.dtmescompetenc <= :p_dtmescompetenc
  			AND ph.nrorg = phh.nrorg
  			AND ph.nrpessoa = phh.nrpessoa
  			)
		AND ph.nrorg = pm.nrorg
		AND ph.nrpessoa = pm.nrpessoa    
    WHERE 
    pm.nrorg = :p_nrorg
    and pm.nrparcnegocio = :nrparcnegocio
    
SQL;
            $params = array(
                'p_dtmescompetenc' => $mesCompetencia,
                'p_nrorg' => $nrOrg,
                'nrparcnegocio' => $nrParcNegocio
            );
            $resultQuery = $this->getEntityManager()->createQuery($sql)->execute($params);
            
            $resultado = array();
            foreach ($resultQuery as $key => $pessoa) {
                if($pessoa instanceof $gpe_pessoa){
                    $pessoa->historico = $resultQuery[$key+1];
                    $resultado[] = $pessoa;
                }    
            }
            
            if(isset($resultado[0])) return $resultado[0];
            else return null;
    }
    
    public function retornaPessoaCpf($nrorg, $dtmescompetenc, $nrcpfpessoa){
        $db = \Setforms2\Shared\Registry::getEntityManagerConnection();
        
$sql = <<<SQL
SELECT GPE_PESSOA.NRPESSOA,
       GPE_PESSOA.NRORG,
       GPE_PESSOAH.NMPESSOA,          
       GPE_PESSOAH.NRPISPASEPPES,
       GPE_PESSOAH.NRCTPSPESSOA,
       GPE_PESSOAH.NRSERIECTPSPES,
       GPE_PESSOAH.DTCTPSPESSOA,
       GPE_PESSOA.NRPARCNEGOCIO,
       GPE_PESSOAH.DTNASCPESSOA,
       GPE_PESSOAH.NRCPFPESSOA,
       GPE_PESSOAH.NRGRAUINSTR,
       GPE_PESSOAH.CDPAIS,
       GPE_PESSOAH.NRRGPESSOA,
       GPE_PESSOAH.CDEXRGPESSOA,
       GPE_PESSOAH.DTEXRGPESSOA,
       GPE_PESSOAH.SGUFRGPESSOA,
       GPE_PESSOAH.NRNACIONALID,
       GPE_PESSOAH.DTADMISSAOPRE,
       GPE_PESSOAH.CDRECIBOADMPRE,
       GPE_PESSOAH.NRDOCUESTRANG,
       ESTRG.NMESTADO   AS NMUFRGPESSOA,
       ESTCTPS.NMESTADO AS NMUFCTPSPES,
       ENDERECOPARC.SGESTADO,
       ENDERECOPARC.CDMUNICIPIO,
       ENDERECOPARC.NMBAIRROENDERECO,
       ENDERECOPARC.CDLOGRADOURO,
       ENDERECOPARC.NRCEPENDERECO,
       ENDERECOPARC.DSENDERECO,
       NVL(VINCULOM.VINCULOATIVO, 'N') VINCULOATIVO,
       MAX(VINCULOM.NRVINCULOM) NRVINCULOM
  FROM GPE_PESSOA
  JOIN GPE_PESSOAH ON GPE_PESSOAH.NRPESSOA = GPE_PESSOA.NRPESSOA
                  AND GPE_PESSOAH.NRORG = GPE_PESSOA.NRORG
                  AND GPE_PESSOAH.DTMESCOMPETENC = (SELECT * FROM(SELECT PHH.DTMESCOMPETENC
                                                      FROM GPE_PESSOAH PHH
                                                     WHERE PHH.NRPESSOA = GPE_PESSOAH.NRPESSOA
                                                       AND PHH.NRORG = GPE_PESSOAH.NRORG
                                                       AND PHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                       ORDER BY PHH.DTMESCOMPETENC DESC)WHERE ROWNUM = 1)
  LEFT JOIN ENDERECOPARC ON ENDERECOPARC.NRPARCNEGOCIO = GPE_PESSOA.NRPARCNEGOCIO
                        AND ENDERECOPARC.NRORG = GPE_PESSOA.NRORG
                        AND ENDERECOPARC.CDTIPOENDERECO = 'PRINCIPAL'
  LEFT JOIN (SELECT 'S' VINCULOATIVO,
                    GPE_VINCULOM.NRVINCULOM,
                    GPE_VINCULOM.NRORG,
                    GPE_VINCULOM.NRPESSOA
               FROM GPE_VINCULOM 
               JOIN GPE_VINCULOH ON GPE_VINCULOH.NRVINCULOM = GPE_VINCULOM.NRVINCULOM
                                AND GPE_VINCULOH.NRORG = GPE_VINCULOM.NRORG
                                AND GPE_VINCULOH.DTMESCOMPETENC = (SELECT * FROM (SELECT VHH.DTMESCOMPETENC
                                                                     FROM GPE_VINCULOH VHH
                                                                    WHERE VHH.NRVINCULOM = GPE_VINCULOH.NRVINCULOM
                                                                      AND VHH.NRORG = GPE_VINCULOH.NRORG
                                                                      AND VHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                                      ORDER BY VHH.DTMESCOMPETENC DESC)WHERE ROWNUM = 1)
              WHERE (GPE_VINCULOM.DTRESCISAOVINC IS NULL OR GPE_VINCULOM.DTRESCISAOVINC >= :P_DTMESCOMPETENC)
                AND GPE_VINCULOM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)) VINCULOM ON VINCULOM.NRPESSOA = GPE_PESSOA.NRPESSOA
                                                                                        AND VINCULOM.NRORG = GPE_PESSOA.NRORG
  LEFT JOIN ESTADO            ESTRG ON ESTRG.SGESTADO = GPE_PESSOAH.SGUFRGPESSOA
                              AND ESTRG.CDPAIS = '0055'
  LEFT JOIN ESTADO            ESTCTPS ON ESTCTPS.SGESTADO = GPE_PESSOAH.SGUFCTPSPES
                                AND ESTCTPS.CDPAIS = '0055'
  WHERE GPE_PESSOAH.NRCPFPESSOA = :P_NRCPFPESSOA
    AND GPE_PESSOA.NRORG = :P_NRORG
GROUP BY GPE_PESSOA.NRPESSOA, GPE_PESSOA.NRORG, GPE_PESSOAH.NMPESSOA, GPE_PESSOAH.NRPISPASEPPES, GPE_PESSOAH.NRCTPSPESSOA, GPE_PESSOAH.NRSERIECTPSPES,
GPE_PESSOAH.DTCTPSPESSOA, GPE_PESSOA.NRPARCNEGOCIO, GPE_PESSOAH.DTNASCPESSOA, GPE_PESSOAH.NRCPFPESSOA, GPE_PESSOAH.NRGRAUINSTR, GPE_PESSOAH.CDPAIS,
GPE_PESSOAH.NRRGPESSOA, GPE_PESSOAH.CDEXRGPESSOA, GPE_PESSOAH.DTEXRGPESSOA, GPE_PESSOAH.SGUFRGPESSOA, GPE_PESSOAH.NRNACIONALID, GPE_PESSOAH.DTADMISSAOPRE,
GPE_PESSOAH.CDRECIBOADMPRE, GPE_PESSOAH.NRDOCUESTRANG, VINCULOATIVO, ENDERECOPARC.SGESTADO,ENDERECOPARC.CDMUNICIPIO,ENDERECOPARC.NMBAIRROENDERECO,ENDERECOPARC.CDLOGRADOURO,ENDERECOPARC.NRCEPENDERECO,ENDERECOPARC.DSENDERECO,ESTRG.NMESTADO,ESTCTPS.NMESTADO
SQL;
        
        $params = array(
                            'P_DTMESCOMPETENC' => $dtmescompetenc,
                            'P_NRORG' => $nrorg,
                            'P_NRCPFPESSOA' => $nrcpfpessoa
                        );
        
         return $db->fetchAll($sql,$params);
    
    }
    
    public function retornaRelacionamentosPorParcnegocio($nrorg, $nrorg_padrao, $nrparcnegocio, $dtmescompetenc){
        $db = \Setforms2\Shared\Registry::getEntityManagerConnection();
        
$sql = <<<SQL
SELECT 
  *
FROM 
  RELACIONAPARC
  JOIN PARCNEGOCIO
    ON PARCNEGOCIO.NRPARCNEGOCIO = RELACIONAPARC.NRPARCNEGRELAC
      AND RELACIONAPARC.NRORG = PARCNEGOCIO.NRORG
  JOIN TIPORELACIONA
    ON TIPORELACIONA.NRTIPORELACIONA = RELACIONAPARC.NRTIPORELACIONA AND(RELACIONAPARC.NRORG = TIPORELACIONA.NRORG OR TIPORELACIONA.NRORG = :P_NRORG_PADRAO)
  JOIN GPE_PESSOA
    ON GPE_PESSOA.NRPARCNEGOCIO = PARCNEGOCIO.NRPARCNEGOCIO
      AND GPE_PESSOA.NRORG = PARCNEGOCIO.NRORG
  JOIN GPE_PESSOAH
    ON GPE_PESSOAH.NRPESSOA = GPE_PESSOA.NRPESSOA
      AND GPE_PESSOAH.NRORG = GPE_PESSOA.NRORG
      AND GPE_PESSOAH.DTMESCOMPETENC = (SELECT 
                                 MAX(PHH.DTMESCOMPETENC)
                               FROM 
                                 GPE_PESSOAH PHH
                               WHERE 
                                 PHH.NRPESSOA = GPE_PESSOAH.NRPESSOA
                                 AND PHH.NRORG = GPE_PESSOAH.NRORG
                                 AND PHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
WHERE 
  RELACIONAPARC.NRORG = :P_NRORG
  AND RELACIONAPARC.NRPARCNEGOCIO = :P_NRPARCNEGOCIO

SQL;
        
        $params = array(
            'P_NRPARCNEGOCIO' => $nrparcnegocio,
            'P_NRORG' => $nrorg,
            'P_NRORG_PADRAO' => $nrorg_padrao,
            'P_DTMESCOMPETENC' => $dtmescompetenc
        );
        
         return $db->fetchAll($sql,$params);
    
    }
    
    public function retornaPessoaCpfImpVinc($nrorg, $dtmescompetenc, $nrcpfpessoa){ 
      $db = \Setforms2\Shared\Registry::getEntityManagerConnection();
      
$sql = <<<SQL
SELECT GPE_PESSOAH.DTMESCOMPETENC,
       GPE_PESSOA.NRPESSOA,
       GPE_PESSOA.NRORG,
       GPE_PESSOAH.NMPESSOA,          
       GPE_PESSOAH.NRPISPASEPPES,
       GPE_PESSOAH.NRCTPSPESSOA,
       GPE_PESSOAH.NRSERIECTPSPES,
       GPE_PESSOAH.DTCTPSPESSOA,
       GPE_PESSOA.NRPARCNEGOCIO,
       GPE_PESSOAH.DTNASCPESSOA,
       GPE_PESSOAH.NRCPFPESSOA,
       GPE_PESSOAH.NRGRAUINSTR,
       GPE_PESSOAH.CDPAIS,
       GPE_PESSOAH.NRRGPESSOA,
       GPE_PESSOAH.CDEXRGPESSOA,
       GPE_PESSOAH.DTEXRGPESSOA,
       GPE_PESSOAH.SGUFRGPESSOA,
       GPE_PESSOAH.NRNACIONALID,
       GPE_PESSOAH.DTADMISSAOPRE,
       GPE_PESSOAH.CDRECIBOADMPRE,
       ESTRG.NMESTADO   AS NMUFRGPESSOA,
       ESTCTPS.NMESTADO AS NMUFCTPSPES,
       ENDERECOPARC.SGESTADO,
       ENDERECOPARC.CDMUNICIPIO,
       ENDERECOPARC.NMBAIRROENDERECO,
       ENDERECOPARC.CDLOGRADOURO,
       ENDERECOPARC.NRCEPENDERECO,
       ENDERECOPARC.DSENDERECO,
       NVL(VINCULOM.VINCULOATIVO, 'N') VINCULOATIVO,
       MAX(VINCULOM.NRVINCULOM) NRVINCULOM
  FROM GPE_PESSOA
  JOIN GPE_PESSOAH ON GPE_PESSOAH.NRPESSOA = GPE_PESSOA.NRPESSOA
                  AND GPE_PESSOAH.NRORG = GPE_PESSOA.NRORG
                  AND GPE_PESSOAH.DTMESCOMPETENC = (SELECT DTMESCOMPETENC
                                                      FROM (SELECT PHH.DTMESCOMPETENC
                                                              FROM GPE_PESSOAH PHH
                                                             WHERE PHH.NRPESSOA = GPE_PESSOAH.NRPESSOA
                                                               AND PHH.NRORG = GPE_PESSOAH.NRORG
                                                               AND PHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                               ORDER BY PHH.DTMESCOMPETENC DESC)
                                                      WHERE ROWNUM = 1)
  LEFT JOIN ENDERECOPARC ON ENDERECOPARC.NRPARCNEGOCIO = GPE_PESSOA.NRPARCNEGOCIO
                        AND ENDERECOPARC.NRORG = GPE_PESSOA.NRORG
                        AND ENDERECOPARC.CDTIPOENDERECO = 'PRINCIPAL'
  LEFT JOIN (SELECT 'S' VINCULOATIVO,
                    GPE_VINCULOM.NRVINCULOM,
                    GPE_VINCULOM.NRORG,
                    GPE_VINCULOM.NRPESSOA
               FROM GPE_VINCULOM 
               JOIN GPE_VINCULOH ON GPE_VINCULOH.NRVINCULOM = GPE_VINCULOM.NRVINCULOM
                                AND GPE_VINCULOH.NRORG = GPE_VINCULOM.NRORG
                                AND GPE_VINCULOH.DTMESCOMPETENC = (SELECT * FROM (SELECT VHH.DTMESCOMPETENC
                                                                     FROM GPE_VINCULOH VHH
                                                                    WHERE VHH.NRVINCULOM = GPE_VINCULOH.NRVINCULOM
                                                                      AND VHH.NRORG = GPE_VINCULOH.NRORG
                                                                      AND VHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                                      ORDER BY VHH.DTMESCOMPETENC DESC)WHERE ROWNUM = 1)
              WHERE (GPE_VINCULOM.DTRESCISAOVINC IS NULL OR GPE_VINCULOM.DTRESCISAOVINC >= :P_DTMESCOMPETENC)
                AND GPE_VINCULOM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)) VINCULOM ON VINCULOM.NRPESSOA = GPE_PESSOA.NRPESSOA
                                                                                        AND VINCULOM.NRORG = GPE_PESSOA.NRORG
  LEFT JOIN ESTADO            ESTRG ON ESTRG.SGESTADO = GPE_PESSOAH.SGUFRGPESSOA
                              AND ESTRG.CDPAIS = '0055'
  LEFT JOIN ESTADO            ESTCTPS ON ESTCTPS.SGESTADO = GPE_PESSOAH.SGUFCTPSPES
                                AND ESTCTPS.CDPAIS = '0055'
  WHERE GPE_PESSOAH.NRCPFPESSOA = :P_NRCPFPESSOA
    AND GPE_PESSOA.NRORG = :P_NRORG
GROUP BY GPE_PESSOAH.DTMESCOMPETENC,
GPE_PESSOA.NRPESSOA, GPE_PESSOA.NRORG, GPE_PESSOAH.NMPESSOA, GPE_PESSOAH.NRPISPASEPPES, GPE_PESSOAH.NRCTPSPESSOA, GPE_PESSOAH.NRSERIECTPSPES,
GPE_PESSOAH.DTCTPSPESSOA, GPE_PESSOA.NRPARCNEGOCIO, GPE_PESSOAH.DTNASCPESSOA, GPE_PESSOAH.NRCPFPESSOA, GPE_PESSOAH.NRGRAUINSTR, GPE_PESSOAH.CDPAIS,
GPE_PESSOAH.NRRGPESSOA, GPE_PESSOAH.CDEXRGPESSOA, GPE_PESSOAH.DTEXRGPESSOA, GPE_PESSOAH.SGUFRGPESSOA, GPE_PESSOAH.NRNACIONALID, GPE_PESSOAH.DTADMISSAOPRE,
GPE_PESSOAH.CDRECIBOADMPRE, VINCULOATIVO, ENDERECOPARC.SGESTADO,ENDERECOPARC.CDMUNICIPIO,ENDERECOPARC.NMBAIRROENDERECO,ENDERECOPARC.CDLOGRADOURO,ENDERECOPARC.NRCEPENDERECO,ENDERECOPARC.DSENDERECO,ESTRG.NMESTADO,ESTCTPS.NMESTADO

ORDER BY DTMESCOMPETENC DESC
SQL;
      
      $params = array(
                          'P_DTMESCOMPETENC' => $dtmescompetenc,
                          'P_NRORG' => $nrorg,
                          'P_NRCPFPESSOA' => $nrcpfpessoa
                      );
      
       return $db->fetchAll($sql,$params);
  }
}